GET api/rightapi/right/{id}
Request Information
URI Parameters
| Name | Description | Type | Additional information |
|---|---|---|---|
| id | globally unique identifier |
Required |
Body Parameters
None.
Response Information
Resource Description
RightViewModel| Name | Description | Type | Additional information |
|---|---|---|---|
| descriptions | Dictionary of string [key] and string [value] |
Required |
|
| active | boolean |
Required |
|
| code | string |
Required |
|
| for_material | boolean |
Required |
|
| ID | globally unique identifier |
None. |
|
| type | globally unique identifier |
None. |
|
| main_right | globally unique identifier |
None. |
|
| technical_description | string |
Required String length: inclusive between 0 and 100 |
|
| position | integer |
None. |
Response Formats
application/json, text/json
Sample:
{
"descriptions": {
"sample string 1": "sample string 2",
"sample string 3": "sample string 4"
},
"active": true,
"code": "sample string 2",
"for_material": true,
"id": "d364ee2c-9a6e-42b5-bc32-0fb191b9e04c",
"type": "8b8b1e0a-c76a-4e69-bb78-a5088938f300",
"main_right": "1aa8ec16-e570-426c-8509-ac3dbc42c728",
"technical_description": "sample string 5",
"position": 1
}
application/xml, text/xml
Sample:
<right xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/EntityModel">
<ID>d364ee2c-9a6e-42b5-bc32-0fb191b9e04c</ID>
<active>true</active>
<code>sample string 2</code>
<for_material>true</for_material>
<main_right>1aa8ec16-e570-426c-8509-ac3dbc42c728</main_right>
<position>1</position>
<technical_description>sample string 5</technical_description>
<type>8b8b1e0a-c76a-4e69-bb78-a5088938f300</type>
<descriptions xmlns:d2p1="http://schemas.microsoft.com/2003/10/Serialization/Arrays">
<d2p1:KeyValueOfstringstring>
<d2p1:Key>sample string 1</d2p1:Key>
<d2p1:Value>sample string 2</d2p1:Value>
</d2p1:KeyValueOfstringstring>
<d2p1:KeyValueOfstringstring>
<d2p1:Key>sample string 3</d2p1:Key>
<d2p1:Value>sample string 4</d2p1:Value>
</d2p1:KeyValueOfstringstring>
</descriptions>
</right>